Bug 58610 - FORMATTING: IconSet not working correctly
Summary: FORMATTING: IconSet not working correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta2
Hardware: Other Windows (All)
: medium normal
Assignee: Markus Mohrhard
QA Contact:
URL:
Whiteboard: BSA target:4.1.0 target:4.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-21 08:24 UTC by john.pratt
Modified: 2013-01-22 12:11 UTC (History)
2 users (show)

See Also:


Attachments
File with screenshot and working iconset with notes on how it was made to work (62.12 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-21 08:24 UTC, john.pratt
Details
Example of a working iconset (9.44 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-21 08:25 UTC, john.pratt
Details
Example with a broken iconset (but the dialogue looks identical to the working example) (7.58 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-21 08:25 UTC, john.pratt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description john.pratt 2012-12-21 08:24:25 UTC
Created attachment 71906 [details]
File with screenshot and working iconset with notes on how it was made to work

Problem description: when I create an iconset I cannot make it work correctly without editing the archive with 7zip

Steps to reproduce:
1. enter 1,2,3...9 in cells A1:A9
2. set up an icon set using (for example) 3 flags
3. set the values as 0 and 33 (for example) (other values, e.g. 33 and 67 exhibit the same problem)

Current behavior: the data is all highlighted using green and red flags - the yellow flags are missing.

Expected behavior: the top 33% should be green, the next 33% yellow and the bottom 33% red.

Workaround: open the file as an archive (e.g. in 7zip) and edit content.xml to set the final value as 67 in the conditional format - this value cannot be changed using the dialogue.  Screenshots and explanation in attached file.
Operating System: Windows XP
Version: 4.0.0.0.beta2
Comment 1 john.pratt 2012-12-21 08:25:06 UTC
Created attachment 71907 [details]
Example of a working iconset
Comment 2 john.pratt 2012-12-21 08:25:39 UTC
Created attachment 71908 [details]
Example with a broken iconset (but the dialogue looks identical to the working example)
Comment 3 Michel Rudelle 2013-01-08 13:47:31 UTC
I confirm this bug

Version 4.0.0.0.beta2 (Build ID: 4104d660979c57e1160b5135634f732918460a0) - Vista
Version 4.0.0.0.beta2+ (Build ID: 7bdf322a45505af8e23397bbeb08f7e21cb88c0) - W7
Comment 4 Markus Mohrhard 2013-01-12 06:23:07 UTC
Please always put me into CC for conditional formatting bugs or add Conditional Formatting to the title. Otherwise it might not come up to my attention and I can't fix it.
Comment 5 Not Assigned 2013-01-12 06:25:42 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f6adf7a8cbccdb0a2697176a6e0e8cf58edd5fe

fix icon set rendering information creation, fdo#58610



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2013-01-15 18:15:32 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b7db7ec86cc2aa8119fd29ec844d6b52f6c4fcf

Revert "fix icon set rendering information creation, fdo#58610"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2013-01-15 18:16:07 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e6ec7b16f2fda4d6624b06506ccfa2a4c5bc4cbb

create correct icon set information, fdo#58610



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2013-01-16 09:33:10 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=072fc07107e9849ed7050d18575b42049db9657e&h=libreoffice-4-0

create correct icon set information, fdo#58610


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.